Page 1 of 2

2.3.6 beta1 won't launch on OS X Sierra

Posted: December 1st, 2018, 12:26 am
by HorseCalledHorse
Running 10.12.6 (Sierra), I'm unable to launch the app. Reverted back to 2.3.5 and all is fine.

Re: 2.3.6 beta1 won't launch on OS X Sierra

Posted: December 1st, 2018, 10:12 am
by safihre
Is there any sort of error?
What if you run it from the command line?
/Applications/SABnzbd.app/Contents/MacOS/SABnzbd --console

Re: 2.3.6 beta1 won't launch on OS X Sierra

Posted: December 1st, 2018, 4:01 pm
by HorseCalledHorse
Console crash log posed here:

https://pastebin.com/dXTCHMga

System notifications give no error - it just quits.
Hope that helps.

Re: 2.3.6 beta1 won't launch on OS X Sierra

Posted: December 2nd, 2018, 1:21 pm
by safihre
Very strange why the old one does work.. Didn't change anything in the build tools..

Re: 2.3.6 beta1 won't launch on OS X Sierra

Posted: December 5th, 2018, 11:51 pm
by uncletim
I see the same behavior in Mojave. App tries to launch but then quits. 2.3.5 works fine. First time I have had the beta not work?

Re: 2.3.6 beta1 won't launch on OS X Sierra

Posted: December 6th, 2018, 4:35 am
by safihre
Could you try this version?
https://github.com/sabnzbd/sabbuild/rel ... .6-osxtest

Not just running it, but also connecting via SSL to newsservers etc.

Re: 2.3.6 beta1 won't launch on OS X Sierra

Posted: December 8th, 2018, 7:08 pm
by HorseCalledHorse
safihre wrote:
December 6th, 2018, 4:35 am
Could you try this version?
https://github.com/sabnzbd/sabbuild/rel ... .6-osxtest

Not just running it, but also connecting via SSL to newsservers etc.
Can't launch that version either. Errors out, giving an option to either launch the console or terminate.

Re: 2.3.6 beta1 won't launch on OS X Sierra

Posted: December 9th, 2018, 12:02 am
by uncletim
Okay that version you linked seems to to work just fine.

I am currently running with it and there does not seem to be any issues launching, connecting, and downloading to my newservers and using SSL.

Re: 2.3.6 beta1 won't launch on OS X Sierra

Posted: December 9th, 2018, 2:44 pm
by safihre
Seems we can't build on old versions anymore.. We would loose 10.10 compatibility.
How about this version?
https://github.com/sabnzbd/sabbuild/rel ... 6-osxtest2

Re: 2.3.6 beta1 won't launch on OS X Sierra

Posted: December 9th, 2018, 5:45 pm
by uncletim
Downloaded and seems to be running fine under Mojave, SSL works and all.

Re: 2.3.6 beta1 won't launch on OS X Sierra

Posted: December 10th, 2018, 2:41 am
by safihre
Thanks for testing!

Re: 2.3.6 beta1 won't launch on OS X Sierra

Posted: December 10th, 2018, 3:15 am
by HorseCalledHorse
safihre wrote:
December 9th, 2018, 2:44 pm
Seems we can't build on old versions anymore.. We would loose 10.10 compatibility.
How about this version?
https://github.com/sabnzbd/sabbuild/rel ... 6-osxtest2
Same error under Sierra (10.12.6) with this one as well.

Re: 2.3.6 beta1 won't launch on OS X Sierra

Posted: December 10th, 2018, 8:35 am
by Cpuroast
Just tested 2.3.6 Beta 1 on 10.9 through 10.14 in VMs in VMware Fusion as well as on 10.12 as the host OS on a mid-2012 MBP and it launched just fine on all of them.

What mac model do you have?

I wonder if it's an issue with an older CPU on a mac which still happens to be qualified for current versions of macOS, which is currently 10.12, 10.13 and 10.14.

Re: 2.3.6 beta1 won't launch on OS X Sierra

Posted: December 10th, 2018, 2:52 pm
by HorseCalledHorse
Cpuroast wrote:
December 10th, 2018, 8:35 am
Just tested 2.3.6 Beta 1 on 10.9 through 10.14 in VMs in VMware Fusion as well as on 10.12 as the host OS on a mid-2012 MBP and it launched just fine on all of them.

What mac model do you have?

I wonder if it's an issue with an older CPU on a mac which still happens to be qualified for current versions of macOS, which is currently 10.12, 10.13 and 10.14.
It's a mid-2010 iMac. CPU is an Intel Core i7.
I've never had issues with any previous SABNZBd builds.

Re: 2.3.6 beta1 won't launch on OS X Sierra

Posted: December 10th, 2018, 9:43 pm
by Cpuroast
That should have no issue running 2.3.6 Beta 1

Is your version of macOS 10.12.6 up to date with all the patches and security updates?

You could also try shutting down sab, then trying a fresh copy of the DMG from here:
https://github.com/sabnzbd/sabnzbd/rele ... a1-osx.dmg

Maybe yours ended up being corrupted somehow.